Bug 459570 - SELinux policy needs to be changed to support hal-set-keymap
SELinux policy needs to be changed to support hal-set-keymap
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-20 05:31 EDT by Richard Hughes
Modified: 2014-01-24 09:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:30:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
selinux alert generated (2.84 KB, text/plain)
2008-08-20 05:31 EDT, Richard Hughes
no flags Details
audit2allow (83 bytes, text/plain)
2008-08-20 05:32 EDT, Richard Hughes
no flags Details

  None (edit)
Description Richard Hughes 2008-08-20 05:31:00 EDT
Created attachment 314617 [details]
selinux alert generated

Description of problem:
Dell laptops need hal-set-keycode for all the buttons to work. I've backported the patch from F9 into the HAL version in RHEL5, and the results can be found in #442623. The patch works well, but the new functionality needs a SELinux policy update.

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-137.el5

How reproducible:
Always.

Steps to Reproduce:
1. Install rpm's from http://brewweb.devel.redhat.com/brew/taskinfo?taskID=1430808
2. service haldaemon restart
3. Observe SELinux denial
  
Actual results:
Failed to fix keyboard when enforcing is enabled.

Expected results:
Fixed keyboard, even with enforcing.

Additional info:
This is a backport from F8/F9, so the policy can probably just be triviallly backported.
Comment 1 Richard Hughes 2008-08-20 05:32:31 EDT
Created attachment 314618 [details]
audit2allow
Comment 2 Daniel Walsh 2008-08-20 07:20:55 EDT
Fixed in selinux-policy-2.4.6-146.el5
Comment 9 errata-xmlrpc 2009-01-20 16:30:27 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0163.html

Note You need to log in before you can comment on or make changes to this bug.